Bug 172072 - Numbers of inconsistency in man and xml files
Numbers of inconsistency in man and xml files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-30 11:34 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 08:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix inconsistency for xscreensaver rpm 4.22-19 (54.85 KB, patch)
2005-10-30 11:40 EST, Mamoru TASAKA
no flags Details | Diff
Summary of the patch above. (5.13 KB, text/plain)
2005-10-30 11:43 EST, Mamoru TASAKA
no flags Details
Similar patch for xscreensaver 4.23 (56.09 KB, patch)
2005-10-30 11:48 EST, Mamoru TASAKA
no flags Details | Diff
Summary of the patch for 4.23 (5.20 KB, text/plain)
2005-10-30 11:50 EST, Mamoru TASAKA
no flags Details
Patch to correct man entry for manual files (12.30 KB, patch)
2005-10-30 11:54 EST, Mamoru TASAKA
no flags Details | Diff
Patch for 4.23 with new 4 fixes. (58.79 KB, patch)
2005-12-05 03:15 EST, Mamoru TASAKA
no flags Details | Diff
Summary of the patch for 4.23 with 4 new fixes (5.39 KB, text/plain)
2005-12-05 03:18 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2005-10-30 11:34:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Like bug 167374, there are numbers of inconsistent description in man
and xml files against the corresponding source files.

For exaple, in lmorph setting in xscreensaver-demo, the movement of slider
labeled "Lines" disables lmorph hack. 

See the attached files below.

Version-Release number of selected component (if applicable):
xscreensaver-4.22-19

How reproducible:
Always

Steps to Reproduce:
1. Example2: run "xscreensaver-demo" and select "mirrorblob"
2. Slide the bar labeled "Crossfade Duration"
3.
  

Actual Results:  mirrorblob hack becomes invalid.

Additional info:
Comment 1 Mamoru TASAKA 2005-10-30 11:40:00 EST
Created attachment 120547 [details]
Fix inconsistency for xscreensaver rpm 4.22-19

Patch to fix inconsistency for xscreensaver-4.22-19.

This patch changes man and xml files but doesn't change the corresponding
source files.
Comment 2 Mamoru TASAKA 2005-10-30 11:43:15 EST
Created attachment 120548 [details]
Summary of the patch above.

Summary of the patch above (id: 120547).
Comment 3 Mamoru TASAKA 2005-10-30 11:48:58 EST
Created attachment 120549 [details]
Similar patch for xscreensaver 4.23

xscreensaver version 4.23 is released but lots of the inconsistency is left
unfixed (and another bug added) .
This is a patch for 4.23.
Comment 4 Mamoru TASAKA 2005-10-30 11:50:52 EST
Created attachment 120550 [details]
Summary of the patch for 4.23

And the summary of the patch for 4.23.
Comment 5 Mamoru TASAKA 2005-10-30 11:54:01 EST
Created attachment 120551 [details]
Patch to correct man entry for manual files

Another patch:
Patch to correct man entry in manual files.
Comment 6 Jamie Zawinski 2005-11-28 05:06:52 EST
Wow, thanks for all those patches!  That must have been a lot of work...  This will be in 4.24.
Comment 7 Mamoru TASAKA 2005-12-05 03:15:20 EST
Created attachment 121832 [details]
Patch for 4.23 with new 4 fixes.

Hello, Jamie

Sorry, the fixes for glhanoi.xml, juggler3d.xml, celtic.man,
glhanoi.man (all of these are added newly in 4.23; that is,
these files are not in 4.22) are added.
Comment 8 Mamoru TASAKA 2005-12-05 03:18:58 EST
Created attachment 121833 [details]
Summary of the patch for 4.23 with 4 new fixes

And the summary of the patch above with 4 new (added) fixes.
Comment 9 Mamoru TASAKA 2006-01-23 08:22:39 EST
Closing for fedora core devel for now, as 4.23-1 rpm  included my patch.
I'll verify this issue again when upstream version 4.24 is released.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.